function [] = perf1(nProc, size1, size2, size3, reps)
    # main testing function
	printf('Running %d processes\n',nProc)
	fnOctaves{1} = 'c:\octave\octave-4.0.0\bin\octave-cli-4.0.0.exe';
	fnOctaves{2} = 'C:\Octave\Octave-3.8.2\bin\octave-cli-3.8.2.exe';
	
	for noct=1:length(fnOctaves)
		for i = 1:nProc
			poutputfn = fullfile(pwd,sprintf('g%d.bin',i));
			cmd = strcat(fnOctaves{noct},  ' -q --no-window-system --eval "',sprintf("perf2('%s',%d,%d,%d,%d,%d);",  poutputfn, i, size1, size2, size3, reps),'"');
			pid(i) = popen(cmd, "r");
	
		end 
		######################################################
		# wait for each instance of doogainloop to complete
		######################################################
		
		for i = 1:nProc
			mwait(pid(i)); 
		end   
	end
	
end

function [result] = mwait(fid)

    ####################################################################
    #   mwait.m - Wait for a launched Octave to quit 
    #
    # This file is part of HawkEar.
    #
    # Copyright (C) 2008-2012 Ian McCallion (ian.mccallion.gmail.com)
    # All rights reserved. 
    ####################################################################

    try
        s = fgets(fid);
    catch
        result = "pipe not open";
        return
    end
#   printf("       Get from pipe\n");
    while (strcmp(class(s),"char"))
        if strcmp(class(s),"char")
            printf(s);
        end
        s = fgets(fid);
    end
    fclose(fid);
#   printf("       End get from pipe\n");
    result = "done";
end