function [] = perf2(fqfn, id, size1, size2, size3, reps)
	a= rand(size1,size2);
	b= rand(size2,size3);
	prevtime = sum((clock()(4:6)).*[3600,60,1]);
	for i = 1:reps
	a*b;
	end
	if id == 1
		octver = ver.Version;
		blasver = getblasver();
		thistime = sum((clock()(4:6)).*[3600,60,1]) - prevtime;
		fprintf(stderr,'%6s, %15s, rand(%d,%d)*rand(%d,%d) %d times took %.2f seconds\n', octver,blasver,size1,size2,size2,size3,reps,thistime)
	end
end

function [blasver] = getblasver()
	fqdn=octave_config_info.bindir;
	blassize = lstat(fullfile(fqdn,'libblas.dll')).size;
	blasbase = 'c:\octave\blas';
	blasnames = glob(fullfile(blasbase,'*.dll'));
	for ii=1:length(blasnames)
		blassizes(ii) = lstat(blasnames{ii}).size;
	end
	blasnames{end+1} = 'unknown';
	this = [find(blassizes == blassize),length(blassizes)+1];
	[zz,blasver,zz] = fileparts(blasnames{this(1)});
end	
